#!/usr/bin/perl

print "newgraph \n";
print "(* title : $ARGV[0] *)\n";
if($ARGV[0] =~ /bw/) {
print "xaxis label : buffer size\n";
print "yaxis label : bandwidth kilobytes/s\n";
} elsif($ARGV[0] =~ /cdf/) {
print "xaxis label : packet arrival interval\n";
print "yaxis label : cumulative fraction\n";
print "newcurve pts\n"; 
} elsif($ARGV[0] =~ /nor/) {
$norm=1;
print "noclip xaxis size 3.3 label : time (s)\n";
if($ARGV[0]=~/\w(1\d+)\w/) {
print "yaxis size 0.7 min 0 max $1 label : queue length\n";
} else {
print "yaxis size 0.7 min 0 max 10 label : queue length\n";
}
print "newcurve linetype solid linethickness 0.5 gray 0.3 marktype none pts\n"; 
} else {
print "xaxis label : Ping index number (1 per second)\n";
print "yaxis label : Round trip experienced by the ping (ms)\n";
print "newcurve 0.75 0.75 pts\n"; 
}
$max = 0;
if($ARGV[0] =~ /cdf/) {
  while(<>) { print $_; }
	$xplace = 0;
} else {
	$dur = 500000;
	if($ARGV[0] =~ /series(\w\.\d+)/) {
		if(open(DUR, "$1.dur")) {
			while(<DUR>) {
				if(/\d+\s+(\d+)/) {
					$dur  = $1;
				}else { print STDERR  "couldn't find? duration.\n"; }
			}
		} else { print STDERR  "couldn't open duration.\n"; }
	} else { print STDERR  "couldn't match duration.\n"; }
	print STDERR  "duration = $dur.\n"; 
	while(<>) {
		if(/^([\d\.]+)\s+([\d\.]+)/) {
			if($1 < $dur) {
				print $_;
				$max = ($max < $2) ? $2 : $max;
				$one = $1;
				if($one==15) {
					$delay = $2;
					$xplace = 15.0+$delay/1000.0;
				}
			}
		} elsif(/^([\d\.]+)\s+drop/) {
			push(@droplist, $1);
		}
	}
}

if($ARGV[0] =~ /bw/) {
} else {
print "newcurve marktype none linetype none pts\n";
print "$xplace 0\n$xplace $max\n";
}

if($norm){
	print "newcurve linetype none pts\n";
	foreach $drop (@droplist) {
		print "$drop -3.2 \n";
	}
}
